/*
 * Project: Examples for GJA course
 * Authors: Ing. Jan Kouřil
 *          Ing. Jaroslav Dytrych idytrych@fit.vutbr.cz
 * File: BaseController.java
 * Description: Example Maven Web Application with Spring RequestMapping
 */

/**
 * @file BaseController.java
 *
 * @brief Example Maven Web Application with Spring RequestMapping
 */

/**
 * @package cz.vutbr.fit.knot.gja.counterWebApp.controller
 * 
 * @brief Example Maven Web Application with Spring RequestMapping
 */
package cz.vutbr.fit.knot.gja.counterWebApp.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * Example of RequestMapping
 */
@Controller
@RequestMapping("/")
public class BaseController {

  @RequestMapping(value = "/", method = RequestMethod.GET)
  public String welcome(ModelMap model) {

    model.addAttribute("message", "Maven Web Project + Spring 3 MVC - welcome()");

    // Spring uses InternalResourceViewResolver and return back index.jsp
    return "index";

  }

  @RequestMapping(value = "/{name}", method = RequestMethod.GET)
  public String welcomeName(@PathVariable String name, ModelMap model) {

    model.addAttribute("message", "Maven Web Project + Spring 3 MVC - " + name);
    return "index";

  }
}
