/*
 * Project: Examples for GJA course
 * Authors: Ing. Jan Kouřil
 *          Ing. Jaroslav Dytrych idytrych@fit.vutbr.cz
 * File: SampleTest.java
 * Description: Example Selenium test
 * 
 * Note: If you are testing in NetBeans, you can have some trouble with running 
 *       of application if tests are done before deployment. In this case you 
 *       should go to project properties - Actions and add Skip Tests to action 
 *       Run (or debug) project.
 */

/**
 * @file SampleTest.java
 *
 * @brief Example Selenium test
 */

/**
 * @package cz.vutbr.fit.knot.gja.webApplSelenium
 * 
 * @brief Example Selenium test
 */
package cz.vutbr.fit.knot.gja.webApplSelenium;

import com.thoughtworks.selenium.DefaultSelenium;
import com.thoughtworks.selenium.SeleneseTestBase;
import junit.framework.Assert;
import org.junit.Before;
import org.junit.Test;

/**
 * Example Selenium test
 */
public class SampleTest extends SeleneseTestBase {

  /**
   * Initialise Selenium
   */
  @Before
  public void beforeClass() {
    selenium = new DefaultSelenium("localhost", 4444, "*googlechrome", "http://localhost:8080");
    selenium.start();
  }

  @Test
  public void testSimple() throws Exception {
    // go to given web page
    selenium.open("/WebApplSelenium");
    // fill in form and submit
    selenium.type("yourName", "john");
    selenium.type("yourAge", "25");
    selenium.click("//input[@value='Send']");

    // wait for page load
    selenium.waitForPageToLoad("3000");
    // check page content
    Assert.assertTrue(selenium.isTextPresent("john"));
    Assert.assertTrue(selenium.isTextPresent("25"));
    // take screenshot (search it in selenium server directory)
    selenium.captureScreenshot("screenshot");
    // finish
    selenium.stop();
  }
}
